Loading...
Searching...
No Matches
harten

## Detailed Description

Examples
  harten.h, and harten_show.cc.

Definition at line 26 of file harten.h.

## Public Member Functions

Float | operator() (const point &x) const
| harten (Float t1=0, Float a1=1, Float b1=0.5, Float c1=0)
Float | M () const
Float | min () const
Float | max () const

## Protected Attributes

harten0 | h0
Float | t
Float | a
Float | b
Float | c

## Constructor & Destructor Documentation

## harten()

harten | ( | Float | t1 = `0`,
|  | Float | a1 = `1`,
|  | Float | b1 = `0.5`,
|  | Float | c1 = `0`
| ) |  |

Definition at line 34 of file harten.h.

## Member Function Documentation

## operator()()

Float operator() | ( | const point & | x | ) | const

Examples
  harten.h.

Definition at line 27 of file harten.h.

## M()

Float M | ( |  | ) | const

Examples
  harten.h.

Definition at line 36 of file harten.h.

## min()

Float min | ( |  | ) | const

Examples
  harten.h.

Definition at line 37 of file harten.h.

## max()

Float max | ( |  | ) | const

Examples
  harten.h.

Definition at line 38 of file harten.h.

## Member Data Documentation

## h0

harten0 h0

protected

Examples
  harten.h.

Definition at line 40 of file harten.h.

## t

Float t

protected

Examples
  harten.h.

Definition at line 41 of file harten.h.

## a

Float a

protected

Examples
  harten.h.

Definition at line 41 of file harten.h.

## b

Float b

protected

Examples
  harten.h.

Definition at line 41 of file harten.h.

## c

Float c

protected

Examples
  harten.h.

Definition at line 41 of file harten.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-dTNbRN/rheolef-7.2/doc/examples/harten.h